Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.domain
Class ContactData

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.domain.ContactData

All Implemented Interfaces:
  Serializable

    public final class ContactData

extends Object
implements Serializable

The information to contact the owner of an eHealth certificate and ETK.

See Also:
  Serialized Form

Constructor Summary
`ContactData(String phonePrivate, String emailPrivate, Language lang)`
`ContactData(String phoneGeneral, String phonePrivate, String emailGeneral, String emailPrivate, Language lang)`

Method Summary
`String` | `getEmailGeneral()`
`String` | `getEmailPrivate()`
`Language` | `getLanguage()`
`String` | `getPhoneGeneral()`
`String` | `getPhonePrivate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactData

    public ContactData(String phonePrivate,
                       String emailPrivate,
                       Language lang)

### ContactData

    public ContactData(String phoneGeneral,
                       String phonePrivate,
                       String emailGeneral,
                       String emailPrivate,
                       Language lang)

Method Detail

### getPhoneGeneral

    public String getPhoneGeneral()

### getPhonePrivate

    public String getPhonePrivate()

### getEmailGeneral

    public String getEmailGeneral()

### getEmailPrivate

    public String getEmailPrivate()

### getLanguage

    public Language getLanguage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.